package hu.bme.mit.book.gui;

import java.util.ArrayList;
import java.util.List;

import hu.bme.mit.books.manager.IBookManager;

public class ServiceManager {

	private static IBookManager manager;
	private static List<IServiceInterface> serviceListeners = new ArrayList<IServiceInterface>();
	
	public void setManager(IBookManager bookManager) {
		manager = bookManager;
		System.out.println("Bookmanager set");
		for (IServiceInterface sInterface : serviceListeners) {
			sInterface.serviceStarted();
		}
	}
	
	public void unsetManager(IBookManager bookManager) {
		manager = null;
		System.out.println("Bookmanager unset");
		for (IServiceInterface sInterface : serviceListeners) {
			sInterface.serviceStopped();
		}
	}
	
	public static IBookManager getManager() {
		return manager;
	}
	
	public static void registerServiceListener(IServiceInterface sInterface) {
		serviceListeners.add(sInterface);
	}
	
	public static void unregisterServiceListener(IServiceInterface sInterface) {
		serviceListeners.remove(sInterface);
	}
}
